Subject: Re: [PATCH 2/2] gitweb: Show trailing slash when listing tree entry in tree listing

From: Jakub Narebski <[email-masked]>
Date: Tue, 10 Oct 2006 23:13:47 +0200

Dnia wtorek 10. października 2006 23:02, Luben Tuikov napisał:
> > > Isn't that a simple "labelling" question?  I do not think
> > > anybody minds to show clickable string "contents" (instead of
> > > "blob" or "tree") at the places you mention above and if we did
> > > so everybody would be happy, right?
> > 
> > Not, IMHO it is not a good idea. Clicking on file name leads to it
> > contents, but it is not obvoius what kind of view is it. "blob" link
> 
> It is pretty obvious to me: the contents of the object, whether it be
> "blob" or "tree".  The contents of "blob" and the contents of "tree"
> as shown by gitweb.

It's pretty obvous to you, because there is only one basic view of tree, 
and one basic view of blob. It is not the case for example for commits 
in shortlog view, where we have commit and commitdiff views. It is 
possible that either blobs or trees acquire another views.
-- 
Jakub Narebski
Poland